#ifndef PTHRPOLL_H
#define PTHRPOLL_H

#include <stdio.h>
#include <stdlib.h>
#include <pthread.h>
#include <unistd.h>
#include <errno.h>


// 任务结构体
typedef struct Task {
    void (*function)(void *);
    void *argument;
    struct Task *next;
} Task;

// 任务队列结构体
typedef struct {
    Task *head;
    Task *tail;
    int size;
    pthread_mutex_t mutex;
    pthread_cond_t cond;
} TaskQueue;

// 线程池结构体
typedef struct {
    pthread_t *threads;
    int thread_count;
    TaskQueue task_queue;
    int shutdown;
    pthread_mutex_t mutex;
} ThreadPool;



#endif